package com.ruoyi.web.modules.architecture.service;

import java.util.List;
import com.ruoyi.web.modules.architecture.domain.BizEpidemicTreatmentStandard;

/**
 * 疫病诊疗标准 服务
 */
public interface IBizEpidemicTreatmentStandardService
{
    BizEpidemicTreatmentStandard selectBizEpidemicTreatmentStandardById(Long id);

    List<BizEpidemicTreatmentStandard> selectBizEpidemicTreatmentStandardList(BizEpidemicTreatmentStandard query);

    int insertBizEpidemicTreatmentStandard(BizEpidemicTreatmentStandard row);

    int updateBizEpidemicTreatmentStandard(BizEpidemicTreatmentStandard row);

    int deleteBizEpidemicTreatmentStandardByIds(Long[] ids);

    int syncKb(Long id);

    int removeKb(Long id);

    int publish(Long id);

    int offline(Long id);
}
